cURL
curl --request GET \
--url 'https://app.teable.ai/api/user-integrations?provider=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"integrations": [
{
"id": "<string>",
"userId": "<string>",
"name": "<string>",
"createdTime": "<string>",
"hasSecret": true,
"metadata": {
"userInfo": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"teamInfo": {
"id": "<string>",
"name": "<string>"
}
},
"lastUsedTime": "<string>",
"connectedTime": "<string>",
"lastModifiedTime": "<string>"
}
]
}user-integration
Get user integrations
Get user integration list
GET
/
user-integrations
cURL
curl --request GET \
--url 'https://app.teable.ai/api/user-integrations?provider=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"integrations": [
{
"id": "<string>",
"userId": "<string>",
"name": "<string>",
"createdTime": "<string>",
"hasSecret": true,
"metadata": {
"userInfo": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"teamInfo": {
"id": "<string>",
"name": "<string>"
}
},
"lastUsedTime": "<string>",
"connectedTime": "<string>",
"lastModifiedTime": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by provider
Available options:
slack Response
200 - application/json
Returns the list of user integration.
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

